

#ifndef _appwin_h_ /* Tue Mar  1 17:32:47 1994 */
#define _appwin_h_


#include "ui/scrolbar.h"
#include "ui/composit.h"

class UI_Bitmap;
class AppWindow: public UI_CompositeVObject {

public:
    AppWindow ();
    ~AppWindow ();
    
    UI_VScrollBar* VScroller;
    UI_HScrollBar* HScroller;

    bool Draw (const CL_String& s);
    
protected:
    void Initialize ();
    bool Reconfigure (const UI_Rectangle&);
    bool Paint (const UI_Rectangle&);
    bool HandleEvent (UI_Event*);
    bool HandleChildEvent (const UI_Event&);
    
    bool RealizePalette();    
    bool AdjustWindow (const long, const long);
    bool AdjustScrollers (long, long);
    bool _ScrollVert();
    bool _ScrollHorz();

private:
    UI_Bitmap* _bitMap;
    long _oldvpos;
    long _oldhpos;
    
};


#endif /* _appwin_h_ */
