

/*
 *
 *          Copyright (C) 1995, M. A. Sridhar
 *  
 *
 *     This software is Copyright M. A. Sridhar, 1995. You are free
 *     to copy, modify or distribute this software  as you see fit,
 *     and to use  it  for  any  purpose, provided   this copyright
 *     notice and the following   disclaimer are included  with all
 *     copies.
 *
 *                        DISCLAIMER
 *
 *     The author makes no warranties, either expressed or implied,
 *     with respect  to  this  software, its  quality, performance,
 *     merchantability, or fitness for any particular purpose. This
 *     software is distributed  AS IS.  The  user of this  software
 *     assumes all risks  as to its quality  and performance. In no
 *     event shall the author be liable for any direct, indirect or
 *     consequential damages, even if the  author has been  advised
 *     as to the possibility of such damages.
 *
 */



#include "util.h"
#include <string.h>


static char* _ViewTypeNames [] = {
    "Undefined",        "ExOrToggleButton",  "Dialog",  
    "PushButton",       "ToggleButton",      "StringViewSingle",
    "StringViewMulti",  "Label",             "TextView",
    "MenuItem",         "Composite",         "StringEditor",
    "OrButtonGroup",    "ExOrButtonGroup",   "HScrollBar",
    "VScrollBar",       "ComboBox"
};


CL_String StringForm (UI_ViewType type)
{
    return (type >= 0 && type <= View_ComboBox)
        ? _ViewTypeNames [type] : "";
}

UI_ViewType ViewTypeOf (const char* strRep)
{
    for (short i = 0; i < sizeof (_ViewTypeNames) / sizeof (char*); i++) {
        if (strcmp (strRep, _ViewTypeNames[i]) == 0)
            return (UI_ViewType) i;
    }
    return View_None;
}
