

#ifndef _fntcache_h_ /* Sun Jun 22 22:16:42 1997 */
#define _fntcache_h_

#include <Xm/Xm.h>
#include "ui/font.h"
#include "base/map.h"

class FontCache {
    // This is a simple caching scheme for maintaining XmFontList
    // pointers. Since I don't have a good way of determining when to remove
    // an entry from it, I use an LRU algorithm.

public:
    FontCache ();
    
    ~FontCache ();

    XmFontList FindFont (UI_Font*);
    
protected:
    CL_String Sweep ();

    struct CacheEntry {
        long       refCount;
        XmFontList ptr;
        long       timeStamp;
    };

    enum {
        MaxCacheSize = 10
    };
    
    long            _time;
    CL_StringIntMap _cache;
};


#endif /* _fntcache_h_ */
